<?php
/*********************************************************************************************
     e107 website system
|
|     Released under the terms and conditions of the
|     GNU General Public License (http://gnu.org).
|
|     $Source: plugins/photos/admin_functions.php
|     $Author: magnez$  gmc1@o2.pl
 ********************************************************************************************/
 
require_once("../../class2.php");
include_lan(e_PLUGIN."photos/languages/".e_LANGUAGE."_admin.php");

function resizeImage($originalImage,$toWidth,$toHeight,$ext)
{
  ini_set("upload_max_filesize", "100M");
  ini_set("post_max_size", "64M");
  ini_set("memory_limit", "2000M");
  
  list($width, $height) = getimagesize($originalImage);
  $xscale=$width/$toWidth;
  $yscale=$height/$toHeight;

  if ($yscale>$xscale){
    $new_width = round($width * (1/$yscale));
    $new_height = round($height * (1/$yscale));
  }
  else{
    $new_width = round($width * (1/$xscale));
    $new_height = round($height * (1/$xscale));
  }
    
  $imageResized = imagecreatetruecolor($new_width, $new_height);
    
  if($ext == "jpg" || $ext == "jpeg"){
    $imageTmp = imagecreatefromjpeg($originalImage);
  }
  elseif($ext == "png"){
    $imageTmp = imagecreatefrompng($originalImage);
  }
  elseif($ext == "bmp"){
    $imageTmp = imagecreatefromwbmp($originalImage);
  }
  elseif($ext == "gif"){
    $imageTmp = imagecreatefromgif($originalImage);
  }
   
  imagecopyresampled($imageResized, $imageTmp, 0, 0, 0, 0, $new_width, $new_height, $width, $height);
  return $imageResized;
} 

function znakWodny($ro_x,$ro_y,$obraz_wej)
{
  global $pref;
  $czcionka = e_PLUGIN."photos/fonts/".$pref['zw_tekst_czcionka'];
  $tab_rozm_t = imagettfbbox($pref['zw_tekst_wys'], 0, $czcionka, $pref['zw_tekst']);
  $rozm_t[0] = min($tab_rozm_t[0],$tab_rozm_t[2],$tab_rozm_t[4],$tab_rozm_t[6]);
  $rozm_t[1] = min($tab_rozm_t[1],$tab_rozm_t[3],$tab_rozm_t[5],$tab_rozm_t[7]);
  $rozm_t[2] = max($tab_rozm_t[0],$tab_rozm_t[2],$tab_rozm_t[4],$tab_rozm_t[6]);
  $rozm_t[3] = max($tab_rozm_t[1],$tab_rozm_t[3],$tab_rozm_t[5],$tab_rozm_t[7]);
  $x = abs(abs($rozm_t[2]) - abs($rozm_t[0]));
  $y = abs(abs($rozm_t[3]) - abs($rozm_t[1]));

  $wsp_x = ($pref['zw_poz_poziom']*$ro_x/100)+($x*(1.05*($pref['zw_poz_poziom']-50)/100)*(-1));
  $wsp_y = ($pref['zw_poz_pion']*$ro_y/100)+($y*(1.05*($pref['zw_poz_pion']-50)/100)*(-1));
  $nasycenie = round(127-($pref['zw_przezr']*160/127));
  $kolor = imagecolorallocatealpha($obraz_wej, $pref['zw_tekst_kolor_c'], $pref['zw_tekst_kolor_z'], $pref['zw_tekst_kolor_n'], $nasycenie);
          
  $rr = $pref['zw_tekst_kat'];
  $xsin = $x * sin(deg2rad($rr));
  $ycos = $y * cos(deg2rad($rr));
  $xcos = $x * cos(deg2rad($rr));
  $ysin = $y * sin(deg2rad($rr));
  $tekst_x = round($wsp_x - ($xcos - $ysin)/2);
  $tekst_y = round($wsp_y + ($ycos + $xsin)/2);
              
  imagettftext($obraz_wej, $pref['zw_tekst_wys'], $rr, $tekst_x, $tekst_y, $kolor, $czcionka, $pref['zw_tekst']);
  return $obraz_wej;
  
}

?>
